Bug 91842 - EDITING: Moving a cell with Table structured references change the reference.
Summary: EDITING: Moving a cell with Table structured references change the reference.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta4
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-03 22:05 UTC by m.a.riosv
Modified: 2016-10-25 19:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample ods file to test Table structured references. (57.36 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2015-06-03 22:05 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2015-06-03 22:05:39 UTC
Created attachment 116265 [details]
Sample ods file to test Table structured references.

Steps to reproduce the issue with the attached file.

To regenerate Table Reference formulas:

1 Open sample file
2 Copy M3:M10 to K3
3 Find & Replace
4 Find:    .+
5 Replace:   &
6 Mark: Current selection only and Regular expressions
7 Replace all

How to reproduce the issue:

Original value in K7 273,5
Original formula in K7 =AVERAGE(population[DoubYears])

1 Cut K7
2 Paste in L1
Actual value in L1 18139433,5714286
Actual formula in L1 =AVERAGE(population[DoubYears])
3 Cut L1
4 Paste in K7 again
Actual value in K7 43571,42857
Actual formula =AVERAGE(population[DoubYears])
5 Cut K7 [Ctrl+X]
6 Paste in K7 again
Actual value in K7 273,5
Actual formula in K7 =AVERAGE(population[DoubYears])

Cut & paste gives a different result value even the formulas seems the same.
Comment 1 raal 2015-06-04 19:38:32 UTC
I can confirmwith Version: 5.1.0.0.alpha1+
Build ID: e61fcfea5c2a306e44a053976e921160e78917ac
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-06-01_01:59:07
Comment 2 Eike Rathke 2015-06-11 14:50:06 UTC
Taking.
Comment 3 Commit Notification 2015-06-11 16:52:51 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=47f002cbbf9593ab0097e178732e51b365b42732

adjust also RPN reference tokens, tdf#91842 and probably others

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-06-11 16:52:55 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d7dcb81a25bb8896adad352a9e7151a41e18245

recompile TableRef formulas only after position was updated, tdf#91842

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-06-11 17:22:52 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3b751dee4f3447236f0c71b66063697560047de1&h=libreoffice-5-0

adjust also RPN reference tokens, tdf#91842 and probably others

It will be available in 5.0.0.0.beta4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-06-11 17:22:56 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8accb2406fb9e8a32aa790c45a97f3a45ef4d906&h=libreoffice-5-0

recompile TableRef formulas only after position was updated, tdf#91842

It will be available in 5.0.0.0.beta4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-06-12 16:33:53 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=15f18d1bb6e76ea934a461031b2784564f9d00c1

do not adjust RPN named expressions relative references, tdf#91842 follow-up

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-06-12 16:40:40 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1930fe1942808c9293c061e516422993e6fd27fd&h=libreoffice-5-0

do not adjust RPN named expressions relative references, tdf#91842 follow-up

It will be available in 5.0.0.0.beta4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.